## com.crystaldecisions.sdk.occa.report.data
Class ParameterFieldRangeValue

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.Value
          com.crystaldecisions.sdk.occa.report.data.ParameterFieldValue
              com.crystaldecisions.sdk.occa.report.data.ParameterFieldRangeValue

All Implemented Interfaces:
  IClone, IParameterFieldRangeValue, IParameterFieldValue, IValue

public class ParameterFieldRangeValue
extends ParameterFieldValue
implements IParameterFieldRangeValue, IClone

This object stores the value for a ranged parameter. This object contains the upper bound, the lower bound range, and how the two are treated: that is if they exist, are included, and so on.

Constructor Summary
`ParameterFieldRangeValue()`
`ParameterFieldRangeValue(IParameterFieldRangeValue src)`

Method Summary
`java.lang.Object` | `clone(boolean deepClone)` Returns the new object that has been cloned.
`java.lang.String` | `computeText()` The `computeText` method returns a `String` representation of the field value that can be used in a report formula.
`void` | `copyTo(java.lang.Object destObject, boolean deepCopy)` Copies the object.
`java.lang.Object` | `createMember(java.lang.String eleName, org.xml.sax.Attributes attrs, XMLSerializationContext ctxt, java.util.Map objState, boolean[] bLoaded)` For internal use only.
`java.lang.String` | `displayText(java.util.Locale locale)` Returns the field's value as a localized and formatted `String`.
`void` | `endElement(java.lang.String eleName, java.util.Map objState)` For internal use only.
`java.lang.Object` | `getBeginValue()` Returns the lower-bound value of the range.
`java.lang.Object` | `getEndValue()` Returns the upper-bound value of the range.
`RangeValueBoundType` | `getLowerBoundType()` Returns how the lower bound of the range is treated.
`RangeValueBoundType` | `getUpperBoundType()` Returns how the upper bound of the range is treated.
`boolean` | `hasContent(java.lang.Object srcParameterFieldRangeValue)` Returns `true` if this object contains the same elements as the passed in object.
`void` | `readElement(java.lang.String eleName, java.lang.String sVal, org.xml.sax.Attributes attrs, java.util.Map objState)` For internal use only.
`void` | `save(XMLWriter writer, java.lang.String sTag, XMLSerializationContext ctxt)` For internal use only.
`void` | `save(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `saveContents(XMLWriter writer, XMLSerializationContext ctxt)` For internal use only.
`void` | `setBeginValue(java.lang.Object beginValue)` Sets the lower-bound value of the range.
`void` | `setEndValue(java.lang.Object endValue)` Returns the upper-bound value of the range.
`void` | `setLowerBoundType(RangeValueBoundType lowerBoundType)` Sets how the lower bound of the range is treated.
`void` | `setUpperBoundType(RangeValueBoundType upperBoundType)` Sets how the upper bound of the range is treated.
`void` | `startElement(java.lang.String eleName, java.util.Map objState, org.xml.sax.Attributes attrs)` For internal use only.

Methods inherited from class com.crystaldecisions.sdk.occa.report.data.ParameterFieldValue
`getDescription, setDescription, startElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.crystaldecisions.sdk.occa.report.data.IParameterFieldValue
`getDescription, setDescription`

Constructor Detail

### ParameterFieldRangeValue

    public ParameterFieldRangeValue(IParameterFieldRangeValue src)

### ParameterFieldRangeValue

    public ParameterFieldRangeValue()

Method Detail

### clone

    public java.lang.Object clone(boolean deepClone)

  Description copied from interface: `IClone`

  Returns the new object that has been cloned.

  Specified by:
    `clone` in interface `IClone`
  Specified by:
    `clone` in class `ParameterFieldValue`

### computeText

    public java.lang.String computeText()

  Description copied from interface: `IValue`

  The `computeText` method returns a `String` representation of the field value that can be used in a report formula.

  The `String` is not formatted or localized. The syntax will always be Crystal syntax. If the field contains a date, `computeText` returns Date(x, x, x); if it contains a date and time, `computeText` returns DateTime(x, x, x, x, x, x). However, when the date is 1900, 0, 1 (the Java start date), ComputeText returns Time(x, x, x). If you want to set a field to a time value only (that is, with no date), you should set the date to 1900, 0, 1, so that `computeText` will retrieve the correct information.

  Specified by:
    `computeText` in interface `IValue`
  Specified by:
    `computeText` in class `Value`

### copyTo

    public void copyTo(java.lang.Object destObject,
                       boolean deepCopy)

  Description copied from interface: `IClone`

  Copies the object.

  Specified by:
    `copyTo` in interface `IClone`
  Overrides:
    `copyTo` in class `ParameterFieldValue`

### createMember

    public java.lang.Object createMember(java.lang.String eleName,
                                         org.xml.sax.Attributes attrs,
                                         XMLSerializationContext ctxt,
                                         java.util.Map objState,
                                         boolean[] bLoaded)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `createMember` in class `ParameterFieldValue`

### displayText

    public java.lang.String displayText(java.util.Locale locale)

  Description copied from interface: `IValue`

  Returns the field's value as a localized and formatted `String`. The Locale can be a `java.util.Locale` value.

  The value is formatted according to the locale. The user is required to pass in a locale; the system default locale or user default locale is not used. If the field contains a date, `displayText` returns a locale-specific date string; if it contains a date and time, `displayText` returns a locale-specific date time `String`; if it contains a time `String`, `displayText` returns a locale-specific time `String`.

  Specified by:
    `displayText` in interface `IValue`
  Specified by:
    `displayText` in class `Value`

### endElement

    public void endElement(java.lang.String eleName,
                           java.util.Map objState)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `endElement` in class `ParameterFieldValue`

### getBeginValue

    public java.lang.Object getBeginValue()

  Description copied from interface: `IParameterFieldRangeValue`

  Returns the lower-bound value of the range. Use the `IParameterFieldRangeValue.getEndValue()` method to determine the upper-bound value.

  Specified by:
    `getBeginValue` in interface `IParameterFieldRangeValue`
  Returns:
    The lower-bound value as an `Object`.

### getEndValue

    public java.lang.Object getEndValue()

  Description copied from interface: `IParameterFieldRangeValue`

  Returns the upper-bound value of the range. Use the `IParameterFieldRangeValue.getBeginValue()` method to determine the lower-bound value.

  Specified by:
    `getEndValue` in interface `IParameterFieldRangeValue`
  Returns:
    The upper-bound value as an `Object`.

### getLowerBoundType

    public RangeValueBoundType getLowerBoundType()

  Description copied from interface: `IParameterFieldRangeValue`

  Returns how the lower bound of the range is treated. Can also specify that the range has no lower bound.

  Specified by:
    `getLowerBoundType` in interface `IParameterFieldRangeValue`
  Returns:
    How the lower bound of the range is treated as a `RangeValueBoundType` `Object`.

### getUpperBoundType

    public RangeValueBoundType getUpperBoundType()

  Description copied from interface: `IParameterFieldRangeValue`

  Returns how the upper bound of the range is treated. Can also specify that the range has no upper bound.

  Specified by:
    `getUpperBoundType` in interface `IParameterFieldRangeValue`
  Returns:
    How the upper bound of the range is treated as a `RangeValueBoundType` object.

### hasContent

    public boolean hasContent(java.lang.Object srcParameterFieldRangeValue)

  Description copied from interface: `IClone`

  Returns `true` if this object contains the same elements as the passed in object.

  Specified by:
    `hasContent` in interface `IClone`
  Overrides:
    `hasContent` in class `ParameterFieldValue`

### readElement

    public void readElement(java.lang.String eleName,
                            java.lang.String sVal,
                            org.xml.sax.Attributes attrs,
                            java.util.Map objState)

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `readElement` in class `ParameterFieldValue`

### save

    public void save(XMLWriter writer,
                     java.lang.String sTag,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `save` in class `ParameterFieldValue`
  Throws:
    `java.io.IOException`

### save

    public void save(XMLWriter writer,
                     XMLSerializationContext ctxt)
              throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `save` in class `ParameterFieldValue`
  Throws:
    `java.io.IOException`

### saveContents

    public void saveContents(XMLWriter writer,
                             XMLSerializationContext ctxt)
                      throws java.io.IOException

  Description copied from class: `Value`

  For internal use only.

  Overrides:
    `saveContents` in class `ParameterFieldValue`
  Throws:
    `java.io.IOException`

### setBeginValue

    public void setBeginValue(java.lang.Object beginValue)

  Description copied from interface: `IParameterFieldRangeValue`

  Sets the lower-bound value of the range. Use the `IParameterFieldRangeValue.getEndValue()` method to determine the upper-bound value.

  Specified by:
    `setBeginValue` in interface `IParameterFieldRangeValue`
  Parameters:
    `beginValue` - The lower-bound value as an `Object`.

### setEndValue

    public void setEndValue(java.lang.Object endValue)

  Description copied from interface: `IParameterFieldRangeValue`

  Returns the upper-bound value of the range. Use the `IParameterFieldRangeValue.getBeginValue()` method to determine the lower-bound value.

  Specified by:
    `setEndValue` in interface `IParameterFieldRangeValue`
  Parameters:
    `endValue` - The upper-bound value as an `Object`.

### setLowerBoundType

    public void setLowerBoundType(RangeValueBoundType lowerBoundType)

  Description copied from interface: `IParameterFieldRangeValue`

  Sets how the lower bound of the range is treated. This method can also be used to specify that the range has no lower bound.

  Specified by:
    `setLowerBoundType` in interface `IParameterFieldRangeValue`
  Parameters:
    `lowerBoundType` - How the lower bound of the range is treated as a `RangeValueBoundType` `Object`.

### setUpperBoundType

    public void setUpperBoundType(RangeValueBoundType upperBoundType)

  Description copied from interface: `IParameterFieldRangeValue`

  Sets how the upper bound of the range is treated. This method can also be used to specify that the range has no upper bound.

  Specified by:
    `setUpperBoundType` in interface `IParameterFieldRangeValue`
  Parameters:
    `upperBoundType` - How the upper bound of the range is treated as a `RangeValueBoundType` object.

### startElement

    public void startElement(java.lang.String eleName,
                             java.util.Map objState,
                             org.xml.sax.Attributes attrs)

  For internal use only.